<?php
class GlossaryTerm extends DataObject 
{ 
   static $db = array( 
      'Term' => 'Text', 
      'Definition' => 'Text' 
   );

   static $has_one = array( 
      'GlossaryPage' => 'GlossaryPage'    
   ); 
    
   static $default_sort = "Term ASC"; 
    
   static $frontend_searchable_fields = array( 
      'Term', 
      'Definition'
   ); 
   
   static $search_heading = "Term"; 
   static $search_content = "Definition"; 
    
   static $indexes = array( 
      "SearchFields" => "fulltext (Term, Definition)", 
      "TitleSearchFields" => "fulltext (Term)" 
   ); 
    
   public function Title()    
   { 
      return DBField::create('Text',$this->record['Title']); 
   } 
   public function Content() 
   { 
      return DBField::create('Text',$this->record['Content']); 
   }

   public function canView() {return true;} 
    
   public function Link() 
   { 
   		if($Page = DataObject::get_one("GlossaryPage"))
      		return $Page->Link() ."ShowTerm/".$this->ID; 
   } 
  
  	static $summary_fields = array(
		'Term' => 'Title'
	);

	public function getCMSFields()
	{
		$fields = new FieldSet();
		
		$fields->push(new TextField('Term'));
		$fields->push(new SimpleTinyMCEField('Definition'));

		return $fields;
	}
	
}
   
